package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 单位换算对象 sys_unit_convert
 * 
 * @author ruoyi
 * @date 2025-10-08
 */
@Schema(description = "单位换算对象")
public class SysUnitConvert extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    /** $column.columnComment */
    @Schema(title = "$column.columnComment")
    private Long id;

    /** 单位类型 */
    @Schema(title = "单位类型")
    @Excel(name = "单位类型")
    private String unitType;

    /** 单位名称 */
    @Schema(title = "单位名称")
    @Excel(name = "单位名称")
    private String unitName;

    /** 是否基准 */
    @Schema(title = "是否基准")
    @Excel(name = "是否基准")
    private String baseUnit;

    /** 换算因子 */
    @Schema(title = "换算因子")
    @Excel(name = "换算因子")
    private BigDecimal conversionFactor;

    /** 类型名称 */
    @Schema(title = "类型名称")
    @Excel(name = "类型名称")
    private String unitTypeName;

    /** 状态 */
    @Schema(title = "状态")
    @Excel(name = "状态")
    private String status;

    /** 单位序号 */
    @Schema(title = "单位序号")
    @Excel(name = "单位序号")
    private Long unitOrder;
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }


    public void setUnitType(String unitType) 
    {
        this.unitType = unitType;
    }

    public String getUnitType() 
    {
        return unitType;
    }


    public void setUnitName(String unitName) 
    {
        this.unitName = unitName;
    }

    public String getUnitName() 
    {
        return unitName;
    }


    public void setBaseUnit(String baseUnit) 
    {
        this.baseUnit = baseUnit;
    }

    public String getBaseUnit() 
    {
        return baseUnit;
    }


    public void setConversionFactor(BigDecimal conversionFactor) 
    {
        this.conversionFactor = conversionFactor;
    }

    public BigDecimal getConversionFactor() 
    {
        return conversionFactor;
    }


    public void setUnitTypeName(String unitTypeName) 
    {
        this.unitTypeName = unitTypeName;
    }

    public String getUnitTypeName() 
    {
        return unitTypeName;
    }


    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }


    public void setUnitOrder(Long unitOrder) 
    {
        this.unitOrder = unitOrder;
    }

    public Long getUnitOrder() 
    {
        return unitOrder;
    }



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("unitType", getUnitType())
            .append("unitName", getUnitName())
            .append("baseUnit", getBaseUnit())
            .append("conversionFactor", getConversionFactor())
            .append("unitTypeName", getUnitTypeName())
            .append("status", getStatus())
            .append("unitOrder", getUnitOrder())
            .toString();
    }
}
